> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atlast.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List carriers services configured to your account

Returns all carrier services currently configured to your At Last account.


## OpenAPI

````yaml get /carriers/services
openapi: 3.0.0
info:
  title: At Last Public Api Service
  description: This is the At Last public api specification.
  version: v1
servers:
  - url: https://api.atlast.co/v1
    description: Production
    variables: {}
security: []
tags: []
paths:
  /carriers/services:
    get:
      operationId: Carriers_getMerchantCarriers
      parameters: []
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CarrierService'
      security:
        - OAuth2Auth: []
components:
  schemas:
    CarrierService:
      type: object
      required:
        - carrierId
        - serviceId
        - name
        - deliveryEnabled
        - collectionEnabled
        - collectionDependency
        - carrierName
        - type
      properties:
        carrierId:
          type: string
          format: uuid
        serviceId:
          type: string
        name:
          type: string
        sizeConstraints:
          type: array
          items:
            $ref: '#/components/schemas/SizeConstraint'
        weightConstraint:
          $ref: '#/components/schemas/WeightConstraint'
        deliveryEnabled:
          type: boolean
        collectionEnabled:
          type: boolean
        collectionDependency:
          $ref: '#/components/schemas/CollectionDependencies'
        carrierName:
          type: string
          description: Name of the carrier
        logo:
          type: string
          description: Url for the carrier logo
        color:
          type: string
          description: Preferred carrier colour
        labelExpireDays:
          type: integer
          description: >-
            Indicates how long do labels last for (in days) after they've been
            created.
        type:
          allOf:
            - $ref: '#/components/schemas/CarrierType'
          description: The carrier type as seen in the CarrierType enum.
      description: Carrier model
    SizeConstraint:
      type: object
      required:
        - name
        - min
        - max
        - unit
      properties:
        name:
          $ref: '#/components/schemas/SizeConstraintName'
        min:
          type: integer
          minimum: 0
        max:
          type: integer
        unit:
          $ref: '#/components/schemas/SizeUnit'
    WeightConstraint:
      type: object
      required:
        - min
        - max
        - unit
      properties:
        min:
          type: integer
          minimum: 0
        max:
          type: integer
        unit:
          $ref: '#/components/schemas/WeightUnits'
    CollectionDependencies:
      type: string
      enum:
        - NONE
        - DELIVERY
        - SAME
    CarrierType:
      type: string
      enum:
        - ROYAL_MAIL
        - EVRI_CORPORATE
        - YODEL
        - DPD
        - INTERNATIONAL
        - USPS
        - COLL8
        - CANADA_POST
        - DHL
        - AUSTRALIA_POST
        - NZ_POST
        - INPOST
        - DHL_ECOMMERCE
        - UPS
      description: Supported carriers
    SizeConstraintName:
      type: string
      enum:
        - WIDTH
        - HEIGHT
        - LENGTH
        - VOLUME
    SizeUnit:
      type: string
      enum:
        - CM
      description: Supported size units
    WeightUnits:
      type: string
      enum:
        - GRAMS
        - KILOGRAMS
        - OUNCES
        - POUNDS
      description: Supported weight units
  securitySchemes:
    OAuth2Auth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.atlast.co/oauth2/token
          scopes: {}

````